Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types

# GeomEnums Class Reference

This class exists just to provide scoping for the various enumerated types used by Geom, GeomVertexData, GeomVertexArrayData, GeomPrimitive, and other related classes. More...

Inheritance diagram for GeomEnums:

List of all members.

## Public Types
enum | AnimationType { ATNone = 0, ATPanda = 1, ATHardware = 2 }
enum | Contents { COther = 0, CPoint = 1, CClipPoint = 2, CVector = 3, CTexcoord = 4, CColor = 5, CIndex = 6, CMorphDelta = 7 }
enum | GeomRendering { GRIndexedPoint = 1, GRIndexedOther = 65536, GRIndexedBits = 65537, GRPoint = 2, GRPointUniformSize = 4, GRPerPointSize = 8, GRPointPerspective = 16, GRPointAspectRatio = 32, GRPointScale = 64, GRPointRotate = 128, GRPointSprite = 256, GRPointSpriteTexMatrix = 512, GRPointBits = 1022, GRTriangleStrip = 1024, GRTriangleFan = 2048, GRLineStrip = 4096, GRCompositeBits = 7168, GRFlatFirstVertex = 8192, GRFlatLastVertex = 16384, GRShadeModelBits = 24576, GRTexcoordLightVector = 32768 }
enum | NumericType { NTUint8 = 0, NTUint16 = 1, NTUint32 = 2, NTPackedDcba = 3, NTPackedDabc = 4, NTFloat32 = 5, NTFloat64 = 6, NTStdfloat = 7 }
enum | PrimitiveType { PTNone = 0, PTPolygons = 1, PTLines = 2, PTPoints = 3 }
enum | ShadeModel { SMUniform = 0, SMSmooth = 1, SMFlatFirstVertex = 2, SMFlatLastVertex = 3 }
enum | UsageHint { UHClient = 0, UHStream = 1, UHDynamic = 2, UHStatic = 3, UHUnspecified = 4 }

## Detailed Description

This class exists just to provide scoping for the various enumerated types used by Geom, GeomVertexData, GeomVertexArrayData, GeomPrimitive, and other related classes.

## Member Enumeration Documentation

enum AnimationType

Enumerator:

  ATNone |
  ATPanda |
  ATHardware |

enum Contents

Enumerator:

  COther |
  CPoint |
  CClipPoint |
  CVector |
  CTexcoord |
  CColor |
  CIndex |
  CMorphDelta |

enum GeomRendering

Enumerator:

  GRIndexedPoint |
  GRIndexedOther |
  GRIndexedBits |
  GRPoint |
  GRPointUniformSize |
  GRPerPointSize |
  GRPointPerspective |
  GRPointAspectRatio |
  GRPointScale |
  GRPointRotate |
  GRPointSprite |
  GRPointSpriteTexMatrix |
  GRPointBits |
  GRTriangleStrip |
  GRTriangleFan |
  GRLineStrip |
  GRCompositeBits |
  GRFlatFirstVertex |
  GRFlatLastVertex |
  GRShadeModelBits |
  GRTexcoordLightVector |

enum NumericType

Enumerator:

  NTUint8 |
  NTUint16 |
  NTUint32 |
  NTPackedDcba |
  NTPackedDabc |
  NTFloat32 |
  NTFloat64 |
  NTStdfloat |

enum PrimitiveType

Enumerator:

  PTNone |
  PTPolygons |
  PTLines |
  PTPoints |

enum ShadeModel

Enumerator:

  SMUniform |
  SMSmooth |
  SMFlatFirstVertex |
  SMFlatLastVertex |

enum UsageHint

Enumerator:

  UHClient |
  UHStream |
  UHDynamic |
  UHStatic |
  UHUnspecified |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties